List Transforms
Listing, Sorting and Filtering Transforms
This endpoint returns the list of transforms in the specified project.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas
where each one can optionally specify asc or desc.
Sorting is valid on the following fields: created, createdBy, id, name, properties/created, properties/lastModified, updated, updatedBy
Filtering
The $filter query parameter allows for transforms to be filtered on the basis of fields in the schema using OData query syntax.
See this document for more details on the syntax used.
Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, id, name, properties/created, properties/lastModified, updated, updatedBy, updatedByEmail, updatedByName
Examples:
?$top=10 - Returns only the first 10 transforms from the list.
?$orderby=name desc - Sorts transforms by name in descending order.
?$filter=name eq 'descriptive name' - Returns transforms that match the provided name.
?$orderby=created desc - Sorts transforms by creation date in descending order.
?$filter=created ge 2021-01-01T00:00:00Z - Returns transforms created after January 1, 2021.
Authentication
Bearer authentication of the form Bearer <token>, where token is your
auth token.
Path parameters
Query parameters
n that limits the number of items returned from a collection.
The service returns the number of available items up to but not greater than the specified value n.@odata.nextLink in the result object to enumerate the collection -
it will be present only if there's more than one page of entities.Response
200 A list of transforms
Show 5 propertiesHide 5 properties
Show 4 propertiesHide 4 properties
Show 2 propertiesHide 2 properties
Show 5 propertiesHide 5 properties
Show 4 propertiesHide 4 properties
Show 3 propertiesHide 3 properties
Show 7 variantsHide 7 variants
Discriminated by @odata.type. Select one variant:
#Microsoft.Media.BuiltInStandardEncoderPresetobjectBuiltInStandardEncoderPreset
The built-in preset to be used for encoding videos. Options include:
- H264SingleBitrateSD
- H264SingleBitrate720p
- H264SingleBitrate1080p
- H264MultipleBitrateSD
- H264MultipleBitrate720p
- H264MultipleBitrate1080p
- H264MultipleBitrateSDWithCVQ
- H264MultipleBitrate720pWithCVQ
- H264MultipleBitrate1080pWithCVQ
- H265SingleBitrate720p
- H265SingleBitrate1080p
- H265SingleBitrate4K
- AACGoodQualityAudio
#MediaKind.BuiltInAssetConverterPresetobjectBuiltInAssetConverterPreset
#Microsoft.Media.BuiltInAssetConverterPresetobjectBuiltInAssetConverterPreset
#MediaKind.ThumbnailGeneratorPresetobjectThumbnailGeneratorPreset
{BaseFilename}_{Label}{Index}{Extension}. The default is the name of the input file. If the name of the input file is too long then it will be truncated to 64 characters.Show 9 propertiesHide 9 properties
{BaseFilename}_{Label}{Index}{Extension}. When generating sprites, the output vtt file will be named {BaseFilename}_{Label}.vtt#MediaKind.TrackInserterPresetobjectTrackInserterPreset
Used to create the output filename.
- For text tracks:
{BaseFilename}.cmft, the default being the input .vtt filename minus the extension, e.g.subtitles.vtt->subtitles.cmft. - For audio tracks:
{BaseFilename}.mp4, the default being the input .mp4 filename, ignored if the audio file is already present in the output asset.
Show 2 variantsHide 2 variants
Discriminated by @odata.type. Select one variant: